Package wx :: Package lib :: Module statbmp :: Class GenStaticBitmap

[frames | no frames]

## Type GenStaticBitmap

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                     PyControl --+
                                 |
                                GenStaticBitmap

Method Summary
| `__init__(self, parent, ID, bitmap, pos, size, style, name)`
| ``AcceptsFocus`(self)` Overridden base class virtual.
| ``DoGetBestSize`(self)` Overridden base class virtual.
| `GetBitmap(self)`
| ``GetDefaultAttributes`(self)` Overridden base class virtual.
| `OnEraseBackground(self, event)`
| `OnPaint(self, event)`
| `SetBitmap(self, bitmap)`
| ``ShouldInheritColours`(self)` Overridden base class virtual.

Property Summary

Class Variable Summary
`int` | `labelDelta` = 1

Instance Method Details

### AcceptsFocus(self)

Overridden base class virtual.

  Overrides:
    `wx.Window.AcceptsFocus`

### DoGetBestSize(self)

Overridden base class virtual. Determines the best size of the control based on the bitmap size.

  Overrides:
    `wx.PyControl.DoGetBestSize`

### GetDefaultAttributes(self)

Overridden base class virtual. By default we should use the same font/colour attributes as the native StaticBitmap.

  Overrides:
    `wx.PyControl.GetDefaultAttributes`

### ShouldInheritColours(self)

Overridden base class virtual. If the parent has non-default colours then we want this control to inherit them.

  Overrides:
    `wx.Window.ShouldInheritColours`

Class Variable Details

### labelDelta

  Type:
    `int`
  Value:

        1

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:13:23 2007 | http://epydoc.sf.net